> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dashboard API



## OpenAPI

````yaml get /api/v1/dashboards/{id}
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/dashboards/{id}:
    get:
      tags:
        - data
      summary: Get dashboard API
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        default:
          description: ''
          content: {}
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````